Bug 743376 - Split grub-efi out from grub and have it not conflict with grub2
Split grub-efi out from grub and have it not conflict with grub2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
16
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
AcceptedNTH AcceptedBlocker
:
Depends On:
Blocks: 735023 742042 743381 743386
  Show dependency treegraph
 
Reported: 2011-10-04 13:54 EDT by Adam Williamson
Modified: 2011-11-08 00:59 EST (History)
7 users (show)

See Also:
Fixed In Version: grub-0.97-80.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-13 00:27:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2011-10-04 13:54:41 EDT
Currently in F16 we have grub and grub2 packages which conflict (although they probably don't technically need to any more), but this is contributing to two problems. We want to use grub for EFI installs. The conflict between grub and grub2 means that:

a) live images can't be made EFI-capable, as we can't add grub to them, as live images cannot contain conflicting packages
b) traditional installs to EFI give a warning about the conflict, as both packages wind up being installed, thanks to grub2 being in the 'Base' group

Peter would like part of the fix for this whole area to be the creation of a grub-efi package containing only the bits of grub-legacy that are necessary for EFI boot to work. This package would not conflict with grub2 and could be put on the live image and used for fresh EFI installs.

Case to keep in mind when doing this change: what happens on upgrades from previous releases, where the only bootloader package installed is likely to be grub.
Comment 1 Fedora Update System 2011-10-06 16:50:50 EDT
grub-0.97-80.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/grub-0.97-80.fc16
Comment 2 Adam Williamson 2011-10-07 13:50:27 EDT
Discussed at 2011-10-07 blocker meeting, accepted as a blocker as various other blockers depend on it and it's kind of a prerequisite for doing EFI properly for Final - "The installer must boot and run on systems using EFI other than Apple Macs".
Comment 3 Adam Williamson 2011-10-07 15:17:59 EDT
marking AcceptedNTH also (one of the deps is proposed NTH) to stop it showing up on that search.
Comment 4 Fedora Update System 2011-10-08 19:36:10 EDT
Package grub-0.97-80.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grub-0.97-80.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-13982
then log in and leave karma (feedback).
Comment 5 Lars Seipel 2011-10-10 17:39:32 EDT
After installing this update I was left with a non-bootable completely useless system on next reboot. Splitting out the EFI bits but not having a working upgrade path breaks booting on all EFI systems where those bits were installed for a reason.
Comment 6 Adam Williamson 2011-10-11 19:00:42 EDT
cb for https://bugzilla.redhat.com/show_bug.cgi?id=743376#c5 . grr. pjones, having grub require grub-efi would be completely 'wrong' but would fix comment #5, i guess...
Comment 7 Fedora Update System 2011-10-13 00:27:11 EDT
grub-0.97-80.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Adam Williamson 2011-11-08 00:59:45 EST

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.